> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/print/printing.md).

# Printing a PDF on iOS

Discover how Apryse SDK simplifies printing tasks with Print.startPrintJob. Learn how to effortlessly show the system print dialog with a document using MyPrintDelegate. Optimize your printing process

Apryse SDK supports printing. The library handles all the hard work, you simply have to tell it to show the system print dialog with a document. This can be done with \[`Print.startPrintJob`]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/Print.html#startPrintJob(android.content.Context>, java.lang.String, com.pdftron.pdf.PDFDoc, java.lang.String, java.lang.Integer, java.lang.Boolean)).

Here is how:

{% tabs %}
{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
func handlePrintJob(sender: Any?) {
    let print = PTPrint()
    print.prepareDoc(toPrint: self.pdfDoc, delegate: MyPrintDelegate(self.view), userData: sender)
}
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
- (void)handlePrintJob:(id)sender
{
    PTPrint *print = [[PTPrint alloc] init];
    [print PrepareDocToPrint:self.pdfDoc Delegate:[[MyPrintDelegate alloc] initWithView:self.view] UserData:sender];
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

where `MyPrintDelegate` is:

{% tabs %}
{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
class MyPrintDelegate: NSObject, PTPrintDelegate {
    
    let view: UIView
    
    init(_ view: UIView) {
        self.view = view
    }
    
    func prepared(toPrint docFilePath: String!, userData: Any!) {
        let myPrint = PTPrint()
        myPrint.printDoc(docFilePath, from: .zero, in: self.view, withJobName: docFilePath, animated: true, completionHandler: nil)
    }
    
}
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
@interface MyPrintDelegate : NSObject <PTPrintDelegate>

- (instancetype)initWithView:(UIView *)view;

@property (nonatomic, strong) UIView *view;

@end

@implementation MyPrintDelegate

- (instancetype)initWithView:(UIView *)view
{
    self = [super init];
    if (self) {
        _view = view;
    }
    return self;
}

- (void)PreparedToPrint:(NSString *)docFilePath UserData:(id)userData
{
    PTPrint *myPrint = [[PTPrint alloc] init];
    [myPrint PrintDoc:docFilePath FromRect:CGRectZero InView:self.view WithJobName:docFilePath Animated:YES CompletionHandler:nil];
}

@end
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/print/printing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
